from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.table import XCellRange

@runtime_checkable
class XSheetCellRange(XCellRange, Protocol):
    def getSpreadsheet(self) -> XSpreadsheet: ...
